$switch-width: 50px !default;
$switch-height: 24px !default;
$switch-gap: 2px !default;
$switch-length: $switch-height + (2 * $switch-gap) !default;
$switch-transition: .4s !default;

/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: $switch-width;
    height: $switch-height;
    float:right;

    /* Hide default HTML checkbox */
    input {
        display:none;
    }

    label& {
        margin-bottom: $label-margin-bottom / 2;
        margin-top: $label-margin-bottom / 2;
    }
}

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: $gray-400;
    -webkit-transition: $switch-transition;
    transition: $switch-transition;

    /* Rounded sliders */
    &.slider-round {
        border-radius: $switch-height;
    }

    &.slider-round:before {
        border-radius: 50%;
    }

    &:before {
        position: absolute;
        content: "";
        height: $switch-height - (2 * $switch-gap);
        width: $switch-height - (2 * $switch-gap);
        left: $switch-gap;
        bottom: $switch-gap;
        background-color: white;
        -webkit-transition: $switch-transition;
        transition: $switch-transition;
    }

    input:checked + & {
        &:before {
            -webkit-transform: translateX($switch-width - $switch-height);
            -ms-transform: translateX($switch-width - $switch-height);
            transform: translateX($switch-width - $switch-height);
        }

        .switch-primary & {
            background-color: $primary;
        }
        .switch-success & {
            background-color: $success;
        }
        .switch-info & {
            background-color: $info;
        }
        .switch-warning & {
            background-color: $warning;
        }
        .switch-danger & {
            background-color: $danger;
        }
    }
}
